Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# osclconfig_proc_check.h File Reference

Go to the source code of this file.

## Typedefs
typedef TOsclThreadId | __verify__TOsclThreadId__defined__
typedef TOsclThreadFuncRet | __verify__TOsclThreadFuncRet__defined__
typedef TOsclThreadFuncArg | __verify__TOsclThreadFuncArg__defined__
typedef TOsclThreadObject | __verify__TOsclThreadObject__defined__
typedef TOsclMutexObject | __verify__TOsclMutexObject__defined__
typedef TOsclSemaphoreObject | __verify__TOsclSemaphoreObject__defined__
typedef TOsclConditionObject | __verify__TOsclConditionObject__defined__

## Typedef Documentation

typedef TOsclConditionObject __verify__TOsclConditionObject__defined__

| type TOsclConditionObject should be defined as the type used as a condition variable on the target platform. Example: typedef pthread_cond_t TOsclConditionObject; Note: Condition variables are only used with certain semaphore implementations. If the semaphore implementation does not require a condition variable, then this type can be defined as 'int' as follows: typedef int TOsclConditionObject; //not used

typedef TOsclMutexObject __verify__TOsclMutexObject__defined__

| type TOsclMutexObject should be defined as the type used as a mutex object or handle on the target platform. Example: typedef pthread_mutex_t TOsclMutexObject;

typedef TOsclSemaphoreObject __verify__TOsclSemaphoreObject__defined__

| type TOsclSemaphoreObject should be defined as the type used as a mutex object or handle on the target platform. Example: typedef sem_t TOsclSemaphoreObject;

typedef TOsclThreadFuncArg __verify__TOsclThreadFuncArg__defined__

| type TOsclThreadFuncArg should be defined as the type used as a thread function argument on the target platform. Example: typedef LPVOID TOsclThreadFuncArg;

typedef TOsclThreadFuncRet __verify__TOsclThreadFuncRet__defined__

| type TOsclThreadFuncRet should be defined as the type used as a thread function return value on the target platform. Example: typedef DWORD TOsclThreadFuncRet;

typedef TOsclThreadId __verify__TOsclThreadId__defined__

| type TOsclThreadId should be defined as the type used as a thread ID on the target platform. Example: typedef DWORD TOsclThreadId;

typedef TOsclThreadObject __verify__TOsclThreadObject__defined__

| type TOsclThreadObject should be defined as the type used as a thread object or handle on the target platform. Example: typedef pthread_t TOsclThreadObject;